Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.sendrealm.com/automations/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'
{ "status": 123, "error": { "code": "<string>", "message": "<string>", "details": null } }
Update an automation draft.
{ "name": "Post Purchase Journey", "description": "Follow up after a completed order.", "definition": { "trigger": { "event_name": "order.completed" }, "steps": [ { "key": "send_receipt", "type": "send_email_template", "config": { "template_version_id": "tpl_ver_email_123", "domain_id": "dom_123" } }, { "key": "wait_for_open", "type": "wait_for_event", "config": { "event_name": "sendrealm.mail.open", "timeout_seconds": 86400 } } ], "connections": [ { "from": "trigger", "to": "send_receipt", "branch": "next" }, { "from": "send_receipt", "to": "wait_for_open", "branch": "next" } ] }, "editor_layout": { "viewport": { "x": 0, "y": 0, "zoom": 1 }, "nodes": [] } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The body is of type object.
object
Automation updated